Get the inbound discovery reserve usage
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/inbound-source-configs/budget \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/inbound-source-configs/budget"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs/budget', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs/budget"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"inboundDiscoveryAvailableQpm": 123,
"inboundDiscoveryReservedQpm": 123,
"inboundDiscoveryUsedPercent": 123,
"inboundDiscoveryUsedQpm": 123,
"status": "<string>",
"perCredential": [
{
"credentialId": "<string>",
"inboundDiscoveryAvailableQpm": 123,
"inboundDiscoveryReservedQpm": 123,
"inboundDiscoveryUsedPercent": 123,
"inboundDiscoveryUsedQpm": 123,
"status": "<string>"
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get the inbound discovery reserve usage
Projects the tenant’s inbound discovery reserve usage (reserved/used/available qpm over the configured reserve).
GET
/
v1
/
inbound-source-configs
/
budget
Get the inbound discovery reserve usage
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/inbound-source-configs/budget \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/inbound-source-configs/budget"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs/budget', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs/budget"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"inboundDiscoveryAvailableQpm": 123,
"inboundDiscoveryReservedQpm": 123,
"inboundDiscoveryUsedPercent": 123,
"inboundDiscoveryUsedQpm": 123,
"status": "<string>",
"perCredential": [
{
"credentialId": "<string>",
"inboundDiscoveryAvailableQpm": 123,
"inboundDiscoveryReservedQpm": 123,
"inboundDiscoveryUsedPercent": 123,
"inboundDiscoveryUsedQpm": 123,
"status": "<string>"
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
JWT bearer token issued by the identity provider.
Was this page helpful?

